/*
 *    SPDX-FileCopyrightText: 2025 Joshua Goins <josh@redstrate.com>
 *    SPDX-License-Identifier: LGPL-2.0-or-later
 */

#pragma once

#include <KIO/ThumbnailCreator>

class ClipStudioCreator : public KIO::ThumbnailCreator
{
public:
    ClipStudioCreator(QObject *parent, const QVariantList &args);

    KIO::ThumbnailResult create(const KIO::ThumbnailRequest &request) override;
};
